## libgusb 0.3.0

=== meson_options.txt ===
option('tests', type : 'boolean', value : true, description : 'Build self tests')
option('vapi', type : 'boolean', value : true, description : 'Build VAPI')
option('usb_ids', type : 'string', value : '/usr/share/hwdata/usb.ids', description : 'Path to usb.ids file')
option('docs', type : 'boolean', value : true, description : 'Generate documentation')

## libgusb 0.1.3

=== debian/changelog ===
libgusb (0.1.3-3) unstable; urgency=low

  * Add missing dependencies to devel package.

 -- Michal Čihař <nijel@debian.org>  Wed, 04 Jan 2012 12:27:11 +0100

libgusb (0.1.3-2) unstable; urgency=low

  * Disable tests completely, they need USB access and it fails on most
    buildds.

 -- Michal Čihař <nijel@debian.org>  Wed, 04 Jan 2012 07:57:37 +0100

libgusb (0.1.3-1) unstable; urgency=low

  * Initial release (Closes: #654204).

 -- Michal Čihař <nijel@debian.org>  Mon, 02 Jan 2012 13:50:33 +0100

=== debian/control ===
Source: libgusb
Priority: extra
Maintainer: Michal Čihař <nijel@debian.org>
Build-Depends: debhelper (>= 8.0.0),
    autotools-dev,
    libgudev-1.0-dev,
    libusb-1.0-0-dev,
    gtk-doc-tools
Standards-Version: 3.9.2
Section: libs
Homepage: http://www.hughsie.com/downloads.html
Vcs-Git: git://git.debian.org/collab-maint/libgusb.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/libgusb.git;a=summary

Package: libgusb-dev
Section: libdevel
Architecture: any
Depends: libgusb2 (= ${binary:Version}),
    ${misc:Depends},
    libgudev-1.0-dev,
    libusb-1.0-0-dev
Description: GLib wrapper around libusb1 - development files
 GUsb is a GObject wrapper for libusb1 that makes it easy to do
 asynchronous control, bulk and interrupt transfers with proper
 cancellation and integration into a mainloop.
 .
 This package contains header files needed for compiling programs with
 GUsb.

Package: libgusb-doc
Section: doc
Architecture: all
Depends: libgusb-dev, ${misc:Depends}
Suggests: devhelp
Description: GLib wrapper around libusb1 - documentation
 GUsb is a GObject wrapper for libusb1 that makes it easy to do
 asynchronous control, bulk and interrupt transfers with proper
 cancellation and integration into a mainloop.
 .
 This package contains the documentation.

Package: libgusb2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GLib wrapper around libusb1
 GUsb is a GObject wrapper for libusb1 that makes it easy to do
 asynchronous control, bulk and interrupt transfers with proper
 cancellation and integration into a mainloop.
 .
 This package contains GUsb shared library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_install:
	rm debian/tmp/usr/lib/libgusb.la
	dh_install  --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_test:
	# dh_auto_test
	echo "Skipping tests as they fail in build environment due to USB bus not available"

%:
	dh $@

## libgusb 0.1.5

=== debian/changelog ===
libgusb (0.1.5-0ubuntu1) raring; urgency=low

  * New upstream release
    + Adds gobject-introspection support
  * Multiarch the library
    + Bump debhelper dependency
    + Bump compat to 9
  * Enable hardening flags
    + Add lintian-override for no-fortify-functions false-positive

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 06 Feb 2013 13:57:28 +0800

libgusb (0.1.3-5) unstable; urgency=low

  * Fix upstream homepage link.

 -- Michal Čihař <nijel@debian.org>  Mon, 25 Jun 2012 15:08:44 +0200

libgusb (0.1.3-4) unstable; urgency=low

  * Improve package description (Closes: #668043).
  * Adjust debian/copyright to final version of DEP-5.
  * Bump standards to 3.9.3.

 -- Michal Čihař <nijel@debian.org>  Mon, 14 May 2012 10:16:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,18 @@
 Source: libgusb
 Priority: extra
-Maintainer: Michal Čihař <nijel@debian.org>
-Build-Depends: debhelper (>= 8.0.0),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michal Čihař <nijel@debian.org>
+Build-Depends: debhelper (>= 9.0.0),
     autotools-dev,
     libgudev-1.0-dev,
     libusb-1.0-0-dev,
-    gtk-doc-tools
-Standards-Version: 3.9.2
+    gtk-doc-tools,
+    gobject-introspection,
+    libgirepository1.0-dev,
+    valac
+Standards-Version: 3.9.3
 Section: libs
-Homepage: http://www.hughsie.com/downloads.html
+Homepage: http://www.hughski.com/downloads.html
 Vcs-Git: git://git.debian.org/collab-maint/libgusb.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/libgusb.git;a=summary
 
@@ -18,7 +22,8 @@
 Depends: libgusb2 (= ${binary:Version}),
     ${misc:Depends},
     libgudev-1.0-dev,
-    libusb-1.0-0-dev
+    libusb-1.0-0-dev,
+    gir1.2-gusb-1.0,
 Description: GLib wrapper around libusb1 - development files
  GUsb is a GObject wrapper for libusb1 that makes it easy to do
  asynchronous control, bulk and interrupt transfers with proper
@@ -42,9 +47,26 @@
 Package: libgusb2
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: GLib wrapper around libusb1
  GUsb is a GObject wrapper for libusb1 that makes it easy to do
  asynchronous control, bulk and interrupt transfers with proper
  cancellation and integration into a mainloop.
  .
- This package contains GUsb shared library.
+ This package contains the GUsb shared library.
+
+Package: gir1.2-gusb-1.0
+Section: introspection
+Architecture: any
+Depends: ${gir:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: GObject introspection data for the gusb library
+ This package contains introspection data for libgusb, a GObject
+ wrapper for libusb1 that makes it easy to do asynchronous control,
+ bulk and interrupt transfers with proper cancellation and integration
+ into a mainloop.
+ .
+ It can be used by packages using the GIRepository format to generate
+ dynamic bindings.

=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,23 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 override_dh_install:
-	rm debian/tmp/usr/lib/libgusb.la
+	rm debian/tmp/usr/lib/*/libgusb.la
 	dh_install  --fail-missing
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
+
+override_dh_auto_configure:
+	dh_auto_configure -- --enable-gtk-doc \
+			--enable-introspection \
+			--enable-vala
+
+override_dh_gencontrol:
+	dh_girepository
+	dh_gencontrol
 
 override_dh_auto_test:
 	# dh_auto_test

## libgusb 0.1.6

=== debian/changelog ===
libgusb (0.1.6-5) unstable; urgency=medium

  * Miscellaneous fixes from Ubuntu (Closes: #736827):
    * Build-depend on valac (>= 0.20), not valac-0.20.
    * Install typelib to /usr/lib as expected, not to the multiarch dir.
    * Keep libgusb2.symbols at version 0.1.5 for compatibility with
      existing Ubuntu builds.
    * Call dh --with gir.

 -- Michal Čihař <nijel@debian.org>  Mon, 27 Jan 2014 11:42:27 +0100

libgusb (0.1.6-4) unstable; urgency=medium

  * Use dh-autoreconf for newer libtool.

 -- Michal Čihař <nijel@debian.org>  Mon, 20 Jan 2014 16:04:03 +0100

libgusb (0.1.6-3) unstable; urgency=medium

  * Bump standards to 3.9.5.
  * Use debhelper 9.
  * Use canonical VCS URLs in debian/control.
  * Enable multiarch support.

 -- Michal Čihař <nijel@debian.org>  Mon, 20 Jan 2014 15:49:26 +0100

libgusb (0.1.6-2) unstable; urgency=low

  * Build with valac-0.20 (Closes: #707465).

 -- Michal Čihař <nijel@debian.org>  Fri, 17 May 2013 10:38:30 +0200

libgusb (0.1.6-1) unstable; urgency=low

  * Update to unstable.

 -- Michal Čihař <nijel@debian.org>  Tue, 07 May 2013 09:53:03 +0200

libgusb (0.1.6-0.1) experimental; urgency=low

  * Non maintainer upload with maintainer approval
  * Imported Upstream version 0.1.6 (Closes: #699941)
  * Update build-dependencies according to configure.ac
    - added libglib2.0-dev, gobject-introspection and valac
  * Add GObject introspection package gir1.2-gusb-1.0
  * Install Vala API (vapi) in libgusb-dev package
  * libgusb2.symbols: update for added symbols

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 08 Mar 2013 09:52:33 +0100

=== debian/control ===
Source: libgusb
Priority: extra
Maintainer: Michal Čihař <nijel@debian.org>
Build-Depends: debhelper (>= 9),
    autotools-dev,
    dh-autoreconf,
    libglib2.0-dev (>= 2.28.0),
    libgudev-1.0-dev,
    libusb-1.0-0-dev (>= 1.0.0),
    gobject-introspection (>= 1.29),
    libgirepository1.0-dev (>= 1.29),
    gtk-doc-tools,
    valac (>= 0.20)
Standards-Version: 3.9.5
Section: libs
Homepage: http://www.hughski.com/downloads.html
Vcs-Git: git://anonscm.debian.org/collab-maint/libgusb.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libgusb.git

Package: libgusb-dev
Section: libdevel
Architecture: any
Depends: libgusb2 (= ${binary:Version}),
    ${misc:Depends},
    gir1.2-gusb-1.0,
    libgudev-1.0-dev,
    libusb-1.0-0-dev
Description: GLib wrapper around libusb1 - development files
 GUsb is a GObject wrapper for libusb1 that makes it easy to do
 asynchronous control, bulk and interrupt transfers with proper
 cancellation and integration into a mainloop.
 .
 This package contains header files needed for compiling programs with
 GUsb.

Package: libgusb-doc
Section: doc
Architecture: all
Depends: libgusb-dev, ${misc:Depends}
Suggests: devhelp
Description: GLib wrapper around libusb1 - documentation
 GUsb is a GObject wrapper for libusb1 that makes it easy to do
 asynchronous control, bulk and interrupt transfers with proper
 cancellation and integration into a mainloop.
 .
 This package contains the documentation.

Package: libgusb2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: GLib wrapper around libusb1
 GUsb is a GObject wrapper for libusb1 that makes it easy to do
 asynchronous control, bulk and interrupt transfers with proper
 cancellation and integration into a mainloop.
 .
 This package contains the GUsb shared library.

Package: gir1.2-gusb-1.0
Section: introspection
Architecture: any
Depends: ${misc:Depends}, ${gir:Depends}
Description: GObject introspection data for libgusb
 This package contains the introspection data for GUsb.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/watch ===
version=3
http://people.freedesktop.org/~hughsient/releases/ libgusb-(.*)\.tar\.xz

## libgusb 0.2.2

=== debian/changelog ===
libgusb (0.2.2-1) unstable; urgency=medium

  * New upstream release.
    - Dropped gudev dependency, raised glib and libusb ones.
    - Updated symbols table.
  * Bump standards to 3.9.6.

 -- Michal Čihař <nijel@debian.org>  Thu, 27 Nov 2014 14:44:48 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Build-Depends: debhelper (>= 9),
     autotools-dev,
     dh-autoreconf,
-    libglib2.0-dev (>= 2.28.0),
-    libgudev-1.0-dev,
-    libusb-1.0-0-dev (>= 1.0.0),
+    libglib2.0-dev (>= 2.32.0),
+    libusb-1.0-0-dev (>= 1.0.19),
     gobject-introspection (>= 1.29),
     libgirepository1.0-dev (>= 1.29),
     gtk-doc-tools,
     valac (>= 0.20)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://www.hughski.com/downloads.html
 Vcs-Git: git://anonscm.debian.org/collab-maint/libgusb.git

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,6 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
 override_dh_install:
 	rm debian/tmp/usr/lib/*/libgusb.la
 	dh_install  --fail-missing
@@ -18,18 +16,9 @@
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
-override_dh_auto_configure:
-	dh_auto_configure -- --enable-gtk-doc \
-			--enable-introspection \
-			--enable-vala
-
-override_dh_gencontrol:
-	dh_girepository
-	dh_gencontrol
-
 override_dh_auto_test:
 	# dh_auto_test
 	echo "Skipping tests as they fail in build environment due to USB bus not available"
 
 %:
-	dh $@
+	dh $@ --with autoreconf,gir

## libgusb 0.2.6

=== debian/changelog ===
libgusb (0.2.6-1) unstable; urgency=medium

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Thu, 23 Jul 2015 08:03:24 +0200

libgusb (0.2.5-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file as the library started to support versioned symbols.

 -- Michal Čihař <nijel@debian.org>  Mon, 08 Jun 2015 10:30:12 +0200

libgusb (0.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Raised glib dependency to 2.38.
  * New exported symbols.

 -- Michal Čihař <nijel@debian.org>  Mon, 16 Mar 2015 08:43:22 +0100

## libgusb 0.2.9

=== debian/changelog ===
libgusb (0.2.9-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Force documentation generation
  * Enforce glib2.0 backport version.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 07 Jun 2017 15:53:13 +0200

libgusb (0.2.9-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards to 3.9.7.
  * Ship gusbcmd in the libgusb-dev package.

 -- Michal Čihař <nijel@debian.org>  Mon, 04 Apr 2016 22:00:53 +0200

libgusb (0.2.8-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file.

 -- Michal Čihař <nijel@debian.org>  Wed, 02 Dec 2015 08:28:53 +0100

libgusb (0.2.7-1) unstable; urgency=medium

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Thu, 17 Sep 2015 09:30:23 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Build-Depends: debhelper (>= 9),
     autotools-dev,
     dh-autoreconf,
-    libglib2.0-dev (>= 2.32.0),
+    libglib2.0-dev (>= 2.48.0-1~),
     libusb-1.0-0-dev (>= 1.0.19),
     gobject-introspection (>= 1.29),
     libgirepository1.0-dev (>= 1.29),
     gtk-doc-tools,
     valac (>= 0.20)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Section: libs
 Homepage: http://www.hughski.com/downloads.html
 Vcs-Git: git://anonscm.debian.org/collab-maint/libgusb.git
@@ -20,6 +20,7 @@
 Section: libdevel
 Architecture: any
 Depends: libgusb2 (= ${binary:Version}),
+    ${shlibs:Depends},
     ${misc:Depends},
     gir1.2-gusb-1.0,
     libgudev-1.0-dev,
@@ -30,7 +31,7 @@
  cancellation and integration into a mainloop.
  .
  This package contains header files needed for compiling programs with
- GUsb.
+ GUsb and the gusbcmd debugging utility.
 
 Package: libgusb-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+override_dh_auto_configure:
+	dh_auto_configure -- --enable-gtk-doc
 
 override_dh_install:
 	rm debian/tmp/usr/lib/*/libgusb.la

## libgusb 0.2.11

=== debian/changelog ===
libgusb (0.2.11-1) unstable; urgency=medium

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Mon, 07 Aug 2017 12:55:14 -0400

libgusb (0.2.10-2) unstable; urgency=medium

  * Revert upstream changes in symbol versioning (Closes: #868340).

 -- Michal Čihař <nijel@debian.org>  Mon, 17 Jul 2017 11:21:06 +0200

libgusb (0.2.10-1) unstable; urgency=medium

  * New upstream release.
  * Ensure the documentation is built during package build.
  * Bump standards to 4.0.0.

 -- Michal Čihař <nijel@debian.org>  Mon, 10 Jul 2017 20:03:19 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Build-Depends: debhelper (>= 9),
     autotools-dev,
     dh-autoreconf,
-    libglib2.0-dev (>= 2.48.0-1~),
+    libglib2.0-dev (>= 2.44.0),
     libusb-1.0-0-dev (>= 1.0.19),
     gobject-introspection (>= 1.29),
     libgirepository1.0-dev (>= 1.29),
     gtk-doc-tools,
     valac (>= 0.20)
-Standards-Version: 3.9.7
+Standards-Version: 4.0.0
 Section: libs
 Homepage: http://www.hughski.com/downloads.html
 Vcs-Git: git://anonscm.debian.org/collab-maint/libgusb.git

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-override_dh_auto_configure:
-	dh_auto_configure -- --enable-gtk-doc
 
 override_dh_install:
 	rm debian/tmp/usr/lib/*/libgusb.la
@@ -25,3 +22,6 @@
 
 %:
 	dh $@ --with autoreconf,gir
+
+override_dh_auto_configure:
+	dh_auto_configure -- --enable-gtk-doc

## libgusb 0.3.0

=== debian/changelog ===
libgusb (0.3.0-1) unstable; urgency=medium

  [ Sebastien Bacher ]
  * New upstream version (Closes: #907565).
  * debian/control, debian/libgusb-dev.install, debian/rules:
    - update for the build system change
  * debian/control, debian/compat, debian/rules:
    - use compat 11
  * debian/docs: renamed README following upstream, remove TODO

  [ Michal Čihař ]
  * Cleanup debian/control using cme.
  * Move git repository to salsa.debian.org.
  * Strict versioned dependency on gir typelib.

 -- Michal Čihař <nijel@debian.org>  Mon, 15 Oct 2018 16:41:42 +0200

=== debian/control ===
Source: libgusb
Maintainer: Michal Čihař <nijel@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 11),
               libglib2.0-dev (>= 2.44.0),
               libusb-1.0-0-dev,
               gobject-introspection,
               libgirepository1.0-dev,
               gtk-doc-tools,
               valac (>= 0.20),
               meson (>= 0.37)
Standards-Version: 4.2.1
Homepage: http://www.hughski.com/downloads.html
Vcs-Git: https://salsa.debian.org/debian/libgusb.git
Vcs-Browser: https://salsa.debian.org/debian/libgusb

Package: libgusb-dev
Architecture: any
Section: libdevel
Depends: libgusb2 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-gusb-1.0 (= ${binary:Version}),
         libgudev-1.0-dev,
         libusb-1.0-0-dev
Description: GLib wrapper around libusb1 - development files
 GUsb is a GObject wrapper for libusb1 that makes it easy to do
 asynchronous control, bulk and interrupt transfers with proper
 cancellation and integration into a mainloop.
 .
 This package contains header files needed for compiling programs with
 GUsb and the gusbcmd debugging utility.

Package: libgusb-doc
Architecture: all
Section: doc
Depends: libgusb-dev,
         ${misc:Depends}
Suggests: devhelp
Description: GLib wrapper around libusb1 - documentation
 GUsb is a GObject wrapper for libusb1 that makes it easy to do
 asynchronous control, bulk and interrupt transfers with proper
 cancellation and integration into a mainloop.
 .
 This package contains the documentation.

Package: libgusb2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: GLib wrapper around libusb1
 GUsb is a GObject wrapper for libusb1 that makes it easy to do
 asynchronous control, bulk and interrupt transfers with proper
 cancellation and integration into a mainloop.
 .
 This package contains the GUsb shared library.

Package: gir1.2-gusb-1.0
Architecture: any
Section: introspection
Depends: ${misc:Depends},
         ${gir:Depends}
Description: GObject introspection data for libgusb
 This package contains the introspection data for GUsb.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-override_dh_install:
-	rm debian/tmp/usr/lib/*/libgusb.la
-	dh_install  --fail-missing
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
@@ -21,7 +20,5 @@
 	echo "Skipping tests as they fail in build environment due to USB bus not available"
 
 %:
-	dh $@ --with autoreconf,gir
+	dh $@ --with gir
 
-override_dh_auto_configure:
-	dh_auto_configure -- --enable-gtk-doc

## libgusb 0.3.4

=== debian/changelog ===
libgusb (0.3.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  [ Laurent Bigonville ]
  * New upstream version (Closes: #948546)
  * debian/control: Drop libgudev-1.0-dev from the libgusb-dev dependencies
    and replace it with libglib2.0-dev. (Closes: #951055)
  * Make gir1.2-gusb-1.0 package Multi-arch: same
  * debian/patches/01_fix_symver.patch: Fix symbols version (again) and adjust
    the symbols file accordingly, patch from upstream
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/control: Add libglib2.0-doc to the build-dependencies and mark the
    -doc package with Build-Profiles: <!nodoc>
  * Fix path to the file containing the usb ids and recommend the package
    shipping it
  * debian/watch: Switch to https to please lintian
  * Refresh debian/patches/revert-versioning.patch for the 0.3.4 release

  [ Simon McVittie ]
  * New upstream version
    - Drop debian/patches/01_fix_symver.patch, no longer necessary
  * d/p/generate-version-script-Don-t-skip-methods-on-plain-struc.patch:
    Revert accidental removal of g_usb_source_set_callback from the ABI

 -- Laurent Bigonville <bigon@debian.org>  Tue, 17 Mar 2020 23:58:47 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
                libgirepository1.0-dev,
                gtk-doc-tools,
                valac (>= 0.20),
-               meson (>= 0.37)
-Standards-Version: 4.2.1
+               meson (>= 0.46)
+Build-Depends-Indep: libglib2.0-doc <!nodoc>
+Standards-Version: 4.5.0
 Homepage: http://www.hughski.com/downloads.html
 Vcs-Git: https://salsa.debian.org/debian/libgusb.git
 Vcs-Browser: https://salsa.debian.org/debian/libgusb
@@ -22,7 +23,7 @@
          ${shlibs:Depends},
          ${misc:Depends},
          gir1.2-gusb-1.0 (= ${binary:Version}),
-         libgudev-1.0-dev,
+         libglib2.0-dev (>= 2.44.0),
          libusb-1.0-0-dev
 Description: GLib wrapper around libusb1 - development files
  GUsb is a GObject wrapper for libusb1 that makes it easy to do
@@ -38,6 +39,7 @@
 Depends: libgusb-dev,
          ${misc:Depends}
 Suggests: devhelp
+Build-Profiles: <!nodoc>
 Description: GLib wrapper around libusb1 - documentation
  GUsb is a GObject wrapper for libusb1 that makes it easy to do
  asynchronous control, bulk and interrupt transfers with proper
@@ -50,6 +52,7 @@
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Recommends: usb.ids
 Pre-Depends: ${misc:Pre-Depends}
 Description: GLib wrapper around libusb1
  GUsb is a GObject wrapper for libusb1 that makes it easy to do
@@ -61,6 +64,7 @@
 Package: gir1.2-gusb-1.0
 Architecture: any
 Section: introspection
+Multi-Arch: same
 Depends: ${misc:Depends},
          ${gir:Depends}
 Description: GObject introspection data for libgusb

## libgusb 0.3.5

=== debian/changelog ===
libgusb (0.3.5-1) unstable; urgency=medium

  [ Mario Limonciello ]
  * New upstream version
  * Refresh patches
    - drop those merged upstream
    - refresh revert-versioning.patch

  [ Steve McIntyre ]
  * Take over maintenance under the Debian EFI team. Closes: #953092
    Thanks to Michal for his earlier work!

 -- Steve McIntyre <93sam@debian.org>  Tue, 27 Oct 2020 23:35:07 +0000

libgusb (0.3.4-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/build-version-script-should-be-supported-everywhere-excep.patch:
    That should fix FTBFS on hurd-i386 at least

 -- Laurent Bigonville <bigon@debian.org>  Thu, 19 Mar 2020 12:15:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: libgusb
-Maintainer: Michal Čihař <nijel@debian.org>
+Maintainer: Debian UEFI Maintainers <debian-efi@lists.debian.org>
+Uploaders: Steve McIntyre <93sam@debian.org>, Mario Limonciello <mario.limonciello@dell.com>
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 11),
@@ -13,8 +14,8 @@
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
 Standards-Version: 4.5.0
 Homepage: http://www.hughski.com/downloads.html
-Vcs-Git: https://salsa.debian.org/debian/libgusb.git
-Vcs-Browser: https://salsa.debian.org/debian/libgusb
+Vcs-Git: https://salsa.debian.org/efi-team/libgusb.git
+Vcs-Browser: https://salsa.debian.org/efi-team/libgusb
 
 Package: libgusb-dev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,9 @@
 	# dh_auto_test
 	echo "Skipping tests as they fail in build environment due to USB bus not available"
 
+override_dh_auto_configure:
+	dh_auto_configure -- -Dusb_ids=/usr/share/misc/usb.ids
+
 %:
 	dh $@ --with gir

=== debian/watch ===
version=3
https://people.freedesktop.org/~hughsient/releases/ libgusb-(.*)\.tar\.xz

## libgusb 0.3.10

=== meson_options.txt ===
--- 
+++ 
@@ -2,3 +2,4 @@
 option('vapi', type : 'boolean', value : true, description : 'Build VAPI')
 option('usb_ids', type : 'string', value : '/usr/share/hwdata/usb.ids', description : 'Path to usb.ids file')
 option('docs', type : 'boolean', value : true, description : 'Generate documentation')
+option('introspection', type : 'boolean', value : true, description : 'Generate gobject introspection data')

=== debian/changelog ===
libgusb (0.3.10-1) unstable; urgency=medium

  * New upstream version (0.3.10)
    - Fixes hangs on cleanup introduced in 0.3.8. (LP: #1960768)

 -- Mario Limonciello <superm1@gmail.com>  Mon, 14 Feb 2022 10:37:07 -0600

libgusb (0.3.8-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update watch file format version to 4.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on meson.
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Update standards version to 4.5.1, no changes needed.

  [ Mario Limonciello ]
  * New upstream version (0.3.8)

 -- Mario Limonciello <superm1@gmail.com>  Mon, 25 Oct 2021 09:52:14 -0500

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Uploaders: Steve McIntyre <93sam@debian.org>, Mario Limonciello <mario.limonciello@dell.com>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                libglib2.0-dev (>= 2.44.0),
                libusb-1.0-0-dev,
                gobject-introspection,
                libgirepository1.0-dev,
                gtk-doc-tools,
                valac (>= 0.20),
-               meson (>= 0.46)
+               meson
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: http://www.hughski.com/downloads.html
 Vcs-Git: https://salsa.debian.org/efi-team/libgusb.git
 Vcs-Browser: https://salsa.debian.org/efi-team/libgusb

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-override_dh_missing:
-	dh_missing --fail-missing
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
@@ -24,4 +21,3 @@
 
 %:
 	dh $@ --with gir
-

=== debian/watch ===
version=4
https://people.freedesktop.org/~hughsient/releases/ libgusb-(.*)\.tar\.xz

## libgusb 0.4.5

=== debian/changelog ===
libgusb (0.4.5-1.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Simon McVittie ]
  * Add a superficial autopkgtest for libgusb-dev
  * d/control: Add missing dependency libgusb-dev -> libjson-glib-dev
    (Closes: #1032183)

  [ Laurent Bigonville ]
  * Add missing debian/changelog entry

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 12 Apr 2023 10:16:00 -0400

libgusb (0.4.5-1) unstable; urgency=medium

  * New upstream version (0.4.5)
  * Add libjson-glib-dev to b-d.
  * Add gi-docgen instead of gtk-doc-tools to b-d.

 -- Mario Limonciello <superm1@gmail.com>  Sun, 26 Feb 2023 20:02:45 -0600

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
                libusb-1.0-0-dev,
                gobject-introspection,
                libgirepository1.0-dev,
-               gtk-doc-tools,
+               libjson-glib-dev,
+               gi-docgen,
                valac (>= 0.20),
                meson
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
@@ -25,6 +26,7 @@
          ${misc:Depends},
          gir1.2-gusb-1.0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.44.0),
+         libjson-glib-dev,
          libusb-1.0-0-dev
 Description: GLib wrapper around libusb1 - development files
  GUsb is a GObject wrapper for libusb1 that makes it easy to do

=== debian/tests/control ===
Tests: libgusb-dev
Restrictions: allow-stderr, superficial
Depends:
 build-essential,
 libgusb-dev,

## libgusb 0.4.8

=== debian/changelog ===
libgusb (0.4.8-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:01:47 +0000

libgusb (0.4.8-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:23:51 +0000

libgusb (0.4.8-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Add myself to Uploaders
  * Point debian/watch to GitHub releases (Closes: #1051728)
  * Point Homepage to GitHub (Closes: #1051727)
  * Add dh-sequence-gir to Build-Depends
  * Use debian/docs to install NEWS
  * List libgusb2 first in debian/control so that debian/docs works for it
  * Enable all hardening flags
  * Set DPKG_GENSYMBOLS_CHECK_LEVEL to 4
  * debian/libgusb2.symbols: Add new symbols
  * Set Rules-Requires-Root: no
  * Run wrap-and-sort
  * Update debian/copyright

  [ Simon McVittie ]
  * Add a superficial autopkgtest for libgusb-dev
  * d/control: Add missing dependency libgusb-dev -> libjson-glib-dev
    (Closes: #1032183)

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libglib2.0-dev and valac.
    + libgusb-dev: Drop versioned constraint on libglib2.0-dev in Depends.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 31 Jan 2024 20:42:58 -0500

=== debian/control ===
Source: libgusb
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian UEFI Maintainers <debian-efi@lists.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
           Steve McIntyre <93sam@debian.org>,
           Mario Limonciello <mario.limonciello@dell.com>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               gi-docgen,
               libgirepository1.0-dev,
               libglib2.0-dev,
               libjson-glib-dev,
               libusb-1.0-0-dev,
               meson,
               valac
Build-Depends-Indep: libglib2.0-doc <!nodoc>
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/hughsie/libgusb
Vcs-Git: https://salsa.debian.org/efi-team/libgusb.git
Vcs-Browser: https://salsa.debian.org/efi-team/libgusb

Package: libgusb2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: usb.ids
Pre-Depends: ${misc:Pre-Depends}
Description: GLib wrapper around libusb1
 GUsb is a GObject wrapper for libusb1 that makes it easy to do
 asynchronous control, bulk and interrupt transfers with proper
 cancellation and integration into a mainloop.
 .
 This package contains the GUsb shared library.

Package: libgusb-dev
Architecture: any
Section: libdevel
Depends: gir1.2-gusb-1.0 (= ${binary:Version}),
         libglib2.0-dev,
         libgusb2 (= ${binary:Version}),
         libjson-glib-dev,
         libusb-1.0-0-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: GLib wrapper around libusb1 - development files
 GUsb is a GObject wrapper for libusb1 that makes it easy to do
 asynchronous control, bulk and interrupt transfers with proper
 cancellation and integration into a mainloop.
 .
 This package contains header files needed for compiling programs with
 GUsb and the gusbcmd debugging utility.

Package: libgusb-doc
Architecture: all
Section: doc
Depends: libgusb-dev,
         ${misc:Depends}
Suggests: devhelp
Build-Profiles: <!nodoc>
Description: GLib wrapper around libusb1 - documentation
 GUsb is a GObject wrapper for libusb1 that makes it easy to do
 asynchronous control, bulk and interrupt transfers with proper
 cancellation and integration into a mainloop.
 .
 This package contains the documentation.

Package: gir1.2-gusb-1.0
Architecture: any
Section: introspection
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for libgusb
 This package contains the introspection data for GUsb.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

## libgusb 0.4.9

=== meson_options.txt ===
--- 
+++ 
@@ -3,3 +3,4 @@
 option('usb_ids', type : 'string', value : '/usr/share/hwdata/usb.ids', description : 'Path to usb.ids file')
 option('docs', type : 'boolean', value : true, description : 'Generate documentation')
 option('introspection', type : 'boolean', value : true, description : 'Generate gobject introspection data')
+option('umockdev', type : 'feature', value : 'auto', description : 'Build and run umockdev based tests')

=== debian/changelog ===
libgusb (0.4.9-2) unstable; urgency=medium

  * d/control: bump standards version
  * d/control: changes for build-dependency on libgirepository1.0-dev
    (Closes: #1118867)

 -- Mario Limonciello <superm1@debian.org>  Sat, 25 Oct 2025 14:20:59 -0500

libgusb (0.4.9-1) unstable; urgency=medium

  * New upstream release
  * Add debian/upstream/metadata
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Jun 2024 20:05:20 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libgusb
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UEFI Maintainers <debian-efi@lists.debian.org>
+Maintainer: Debian UEFI Maintainers <debian-efi@lists.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
            Steve McIntyre <93sam@debian.org>,
            Mario Limonciello <mario.limonciello@dell.com>
@@ -9,7 +8,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                gi-docgen,
-               libgirepository1.0-dev,
+               gir1.2-gio-2.0-dev,
+               gir1.2-gobject-2.0-dev,
+               gobject-introspection (>= 1.80),
                libglib2.0-dev,
                libjson-glib-dev,
                libusb-1.0-0-dev,
@@ -17,7 +18,7 @@
                valac
 Build-Depends-Indep: libglib2.0-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/hughsie/libgusb
 Vcs-Git: https://salsa.debian.org/efi-team/libgusb.git
 Vcs-Browser: https://salsa.debian.org/efi-team/libgusb
@@ -39,13 +40,14 @@
 Package: libgusb-dev
 Architecture: any
 Section: libdevel
-Depends: gir1.2-gusb-1.0 (= ${binary:Version}),
+Depends: ${gir:Depends},
          libglib2.0-dev,
          libgusb2 (= ${binary:Version}),
          libjson-glib-dev,
          libusb-1.0-0-dev,
          ${misc:Depends},
          ${shlibs:Depends}
+Provides: ${gir:Provides}
 Description: GLib wrapper around libusb1 - development files
  GUsb is a GObject wrapper for libusb1 that makes it easy to do
  asynchronous control, bulk and interrupt transfers with proper
@@ -74,6 +76,7 @@
 Multi-Arch: same
 Depends: ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Description: GObject introspection data for libgusb
  This package contains the introspection data for GUsb.
  .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dusb_ids=/usr/share/misc/usb.ids

override_dh_auto_test:
	# dh_auto_test
	echo "Skipping tests as they fail in build environment due to USB bus not available"

=== debian/tests/control ===
Tests: libgusb-dev
Restrictions: allow-stderr, superficial
Depends: build-essential,
         libgusb-dev

=== debian/watch ===
version=4
opts=searchmode=plain \
https://api.github.com/repos/hughsie/@PACKAGE@/releases \
https://github.com/hughsie/@PACKAGE@/releases/download/[\d.]*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
